{
  "factory": {
    "id": "abstract-real-jaas-login-module",
    "type": "entaxy.security.jaas.loginmodule",
    "description": "",
    "isAbstract": true,
    "parent": "abstract-jaas-login-module",
    "label": "",
    "category": ""
  },
  "entaxy.security.jaas.loginmodule": {},
  "fields": {
  	"module_detailed.login.exception": {
		"description": "Enabled detailed error messages for failed login attempts. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/security/security-jaas.html\">Entaxy docs</a> and <a target=\"_blank\" href=\"https://karaf.apache.org/manual/latest/security\">Karaf docs</a>",
		"type": "Boolean",
  		"required": false,
  		"displayName": "Use Detailed Login Exceptions"
  	}
  },
  "outputs": {
  	"init": {
  		"fields": {
  			"module_detailed.login.exception": {},
			"@IMPORT": [{
				"sourceFactoryId": "jaas-login-module-components",
				"location": "outputs.encryption.fields",
				"prefix": ""
			},
			{
				"sourceFactoryId": "jaas-login-module-components",
				"location": "outputs.jasypt.fields",
				"prefix": ""
			}
			]
  			
  		}
  	}
  }
}
